# GlitchTip Helm Chart

We use this chart internally. However it's not fully documented yet nor tested in a wide range of scenarios.
If you are a helm and kubernetes expert - feel free to use this and help contribute to this repo.  

Based on https://gitlab.com/burke-software/django-helm-chart/

# Usage

1. Add our Helm chart repo `helm repo add glitchtip https://gitlab.com/api/v4/projects/16325141/packages/helm/stable`
2. Review our values.yaml. At a minimum you'll need to set env.secret.DATABASE_URL and env.secret.SECRET_KEY.
3. Install the chart `helm install glitchtip glitchtip/glitchtip`. You'll need to specify your own values.yml file or make use of `--set`

The default values assume a externally managed PostgreSQL database and a chart managed Redis. Redis in GlitchTip is ephemeral.

## Important Tips

- Use [helm diff](https://github.com/databus23/helm-diff) to preview changes
- We don't update the chart version for app version updates at this time, set image.tag instead.
- Set image.pullPolicy to `IfNotPresent` after specifying the image.tag
- Set redis.auth.password to avoid redis being entirely remade on each release
- If updating the chart, carefully review values for any new defaults

## Updating

- `helm repo update`
- Set the image.tag to the [latest version](https://gitlab.com/glitchtip/glitchtip-frontend/-/releases)
- `helm diff upgrade glitchtip glitchtip/glitchtip`
- Carefully review diff
- `helm upgrade glitchtip glitchtip/glitchtip`

# Contributing

Please open issues only with potential solutions and be prepared to do some work or else fund it. Contributors are welcome. However, we kindly ask that feature requests and support requests not be opened in this repo. This repo is an internal asset that happens to be open source. We don't recommend using this install method for anyone except advanced Kubernetes experts.
